import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listShoppingcard(query) {
  return request({
    url: '/product/shoppingcard/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getShoppingcard(id) {
  return request({
    url: '/product/shoppingcard/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addShoppingcard(data) {
  return request({
    url: '/product/shoppingcard',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateShoppingcard(data) {
  return request({
    url: '/product/shoppingcard/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delShoppingcard(id) {
  return request({
    url: '/product/shoppingcard/' + id,
    method: 'delete'
  })
}
